/*
 * Xournal++
 *
 * Static project constants
 *
 * @author Xournal++ Team
 * https://github.com/xournalpp/xournalpp
 *
 * @license GNU GPLv2 or later
 */

#pragma once

/* --- Project info --- */

/**
 * Full name of this project
 */
constexpr auto PROJECT_NAME = "Xournal++";

/**
 * Name of package
 */
constexpr auto PROJECT_PACKAGE = "xournalpp";

/**
 * Project version number
 */
constexpr auto PROJECT_VERSION = "1.1.1";

/**
 * Address where bug reports for this project should be sent
 */
constexpr auto PROJECT_BUGREPORT = "https://github.com/xournalpp/xournalpp/issues/new";

/**
 * Full name and version of this project
 */
constexpr auto PROJECT_STRING = "Xournal++ 1.1.1";

/**
 * Project URL
 */
constexpr auto PROJECT_URL = "https://github.com/xournalpp/xournalpp";

/**
 * File format version
 */
constexpr int FILE_FORMAT_VERSION = 4;


/* --- Current git repo info --- */

/**
 * Origin URL of current repository
 */
constexpr auto GIT_ORIGIN_URL = "";

/**
 * Git origin repo owner
 */
constexpr auto GIT_ORIGIN_OWNER = "";

/**
 * Git origin repo name
 */
constexpr auto GIT_ORIGIN_REPO = "";

/**
 * Current branch of git repo
 */
constexpr auto GIT_BRANCH = "";

/**
 * Current git commit id (with "-dirty" appended if dirty source tree)
 */
constexpr auto GIT_COMMIT_ID = "nogitfound";


/* --- I18N --- */

/**
 * Enable i18n
 */
#define ENABLE_NLS

/**
 * Gettext package
 */
constexpr auto GETTEXT_PACKAGE = "xournalpp";
